Несколько уязвимостей в VirtueMart

Дата публикации:
31.01.2008
Дата изменения:
31.01.2008
Всего просмотров:
2318
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VirtueMart 1.x
VirtueMart Joomla! eCommerce Edition 1.x
Уязвимые версии:
VirtueMart версии до 1.0.14
VirtueMart Joomla! eCommerce Edition версии до 1.0.14

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных при просмотре продукта. Удаленный пользователь может просмотреть содержимое произвольных файлов на системе.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов перед выполнением некоторых действий. Удаленный пользователь может с помощью специально сформированной ссылки произвести CSRF атаку.

URL производителя: virtuemart.net/

Решение: Установите последнюю версию 1.0.14 с сайта производителя.

или введите имя

CAPTCHA